当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 15 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装失败的fcitx-mozc
帖子发表于 : 2017-05-29 4:45 

注册: 2016-06-03 14:39
帖子: 68
系统: UbuntuMate 16.04.1
送出感谢: 1
接收感谢: 0 次
sudo apt install fcitx-mozc --install-recommends
其余的是
http://viva-linux.jp/linux-mint-japanese-input-mozc-211
根据现场的过程
不使用无论如何,在匆忙增添了不少变化。它进入混乱状态
这似乎是由于做“你在做什么,不完全理解”,如命令的多个站点

sudo apt install fcitx-mozc --install-recommends
After that
Http://viva-linux.jp/linux-mint-japanese-input-mozc-211
Follow the above site's instructions
It does not make it possible to use anyway, and makes a lot of changes in a rush. Get into a state of confusion
It seems that it was done because I did "not understand what you are doing" commands etc. of multiple sites
附件:
keyboard -japanese unavailable.png
keyboard -japanese unavailable.png [ 57.64 KiB | 被浏览 1844 次 ]


The state of this image can not be corrected in any way. As well
附件:
not installed.png
not installed.png [ 62.46 KiB | 被浏览 1844 次 ]


I got a lot of Japanese components from the command, but fcitx is not installed
It has become
-----------------
If you have noticed something, please always comment so it's fine
If necessary, I will also install a new Mint 17.2 itself
We raise valuable time, I will bear the burden, Thank you
为了把亚拉的命令大量日本组件,fcitx的未安装
它已成为
如果您发现的东西,评论谢谢你,因为这是在任何时候罚款
如果粗糙,如果必要的话,我们要为自己Mint17.2的全新安装
窃取您宝贵的时间,而对于任何负担道歉,谢谢


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-05-29 7:04 

注册: 2009-08-04 16:33
帖子: 16030
送出感谢: 21
接收感谢: 1747
引用:
討論區首頁 » 衍生发行版 » Ubuntu国外衍生版 » Mint

引用:
If necessary, I will also install a new Mint 17.2 itself

Inform us the exact distro (distribution 發行套件, 簡稱distro)and version of your current operation system first, please.
請提供 目前使用的 作業系統 及 版本


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-05-29 18:16 

注册: 2007-01-14 16:23
帖子: 4138
送出感谢: 0 次
接收感谢: 103
I will show you from a fresh installed mint17.2 with mate desktop environment(english locale)

1. open a terminal run
代码:
sudo apt-get update && sudo apt-get upgrade
to update system

2.
代码:
sudo apt-get install fcitx fcitx-mozc --install-recommends

附件:
文件注释: install mozc
installmozc.png
installmozc.png [ 177.68 KiB | 被浏览 1738 次 ]


3.
代码:
im-config -n fcitx

附件:
文件注释: imconfig
imconfig.png
imconfig.png [ 213.71 KiB | 被浏览 1738 次 ]


4.
代码:
sudo reboot
to reboot your system

5. after reboot, now you should see the keyboard icon on the right corner
附件:
文件注释: after reboot
afterreboot.png
afterreboot.png [ 359.23 KiB | 被浏览 1738 次 ]


6. right click it and select configure, click add button to add input method

7. uncheck only show current language and input mozc to search,click ok to add.
附件:
文件注释: add input method
addinput.png
addinput.png [ 162.14 KiB | 被浏览 1738 次 ]


8. now you should see mozc in fcitx's input method and can switch to it and input Japanese now.
附件:
文件注释: finish
finish.png
finish.png [ 156.47 KiB | 被浏览 1738 次 ]



页首
 用户资料  
 
4 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-05-31 0:02 

注册: 2016-06-03 14:39
帖子: 68
系统: UbuntuMate 16.04.1
送出感谢: 1
接收感谢: 0 次
引用:
Inform us the exact distro (distribution 發行套件, 簡稱distro)and version of your current operation system first, please.
請提供 目前使用的 作業系統 及 版本

返事が遅くなりまして失礼しました
回复现在很粗鲁晚
I'm sorry for the late reply
mint 17.2 mate 64bit です


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-05-31 0:26 

注册: 2016-06-03 14:39
帖子: 68
系统: UbuntuMate 16.04.1
送出感谢: 1
接收感谢: 0 次
onlylove様、ありがとうございます
onlylove喜欢,谢谢
引用:
a fresh installed mint17.2

ノートパソコン用ハードディスクにインストールされた
使用履歴が少ないmint17.2(a fresh installed mint17.2に近似な)があるので、そちらでもう一度試してみる
Installed on the laptop hard disk
There is mint 17.2 (usage approximate to a fresh installed mint 17.2) with a small usage history, so try it over there again


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-05-31 8:37 

注册: 2009-08-04 16:33
帖子: 16030
送出感谢: 21
接收感谢: 1747
引用:
mint 17.2 mate 64bit です

引用:
sudo apt-get update && sudo apt-get upgrade

1. https://www.linuxmint.com/documentation ... e_17.0.pdf
オフィシャル
ユーザーガイド
Page 42
システムとアプリケーションの更新

2. 建議 使用 Update Manager 執行 Linux Mint 更新 比較安全
2-1. https://www.linuxmint.com/documentation ... h_18.0.pdf
Linux Mint 18
Official
User Guide
page 43
Update your system and your applications
There are many ways to do this but only one of them is recommended.
Using the Update Manager
It gives more information
about updates and lets you define how safe an update must be before you want to apply it.
2-2. viewtopic.php?p=3187260#p3187260
Linux Mint 雖然基於 Ubuntu 但是 建議只有使用 Update Manager 來 更新/升級/維護 你已安裝的系統及套件
避免使用 Ubuntu / Debian 的方法
這樣才不會損壞 Linux-Mint 獨特的 preference 與 dependency 設定關係
2-3. viewtopic.php?f=175&t=483142&start=15
如何調整 Linux Mint 預裝的 Update Manager


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-06-02 23:04 

注册: 2016-06-03 14:39
帖子: 68
系统: UbuntuMate 16.04.1
送出感谢: 1
接收感谢: 0 次
https://www.linuxmint.com/documentation ... h_18.0.pdf
>There are many ways to do this but only one of them is recommended.
You could use APT to upgrade all your packages with one simple command (“apt
upgrade”) but we strongly recommend you don’t do so. The reason is that it doesn't make
any distinctions in selecting which updates to apply and assumes that you want all of
them.
>Linux Mint 雖然基於 Ubuntu 但是 建議只有使用 Update Manager 來 更新/升級/維護 你已安裝的系統及套件
避免使用 Ubuntu / Debian 的方法
這樣才不會損壞 Linux-Mint 獨特的 preference 與 dependency 設定關係

私は今までupdate manager を自動起動から外し、意味は分からないけど、安定性レベルは
1と2に絞っていた
I have removed update manager from automatic startup so far, I do not know the meaning, but the stability level is
I was focusing on 1 and 2
(大量に、自分の環境と関係なさそうなものが加わるのがいやだから)
思いついたときに、3ヶ月に一回程度やるみたいな
しかし複数サイトを参考に、このレベルはデフォの3までやることに決めた
分からないのに、自分の判断で取捨選択をやめるということだ
Linux Mint の既定の設定を「信じること」にした
(Because I dislikes the addition of things that seems to be related to my environment in large quantities)
When I think of it, it seems to do about once every 3 months
However, with reference to multiple sites, I decided to do this level to the default 3
Although I do not know, I will stop picking and choosing at my own discretion
I chose to "believe" Linux Mint's default settings

> For each package update you can read the description, the changelog (this is
where developers explain their changes when they modify the package), and eventually if
Linux Mint assigned warnings or extra information about the updates

これらの判断を自分の知識でやるのは無理だ
不可能在自己的知識做這些判斷
It is impossible to do these judgments with your own knowledge

ありがとうございます
谢谢
onlylove様、 poloshiao 様


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-06-03 0:32 

注册: 2016-06-03 14:39
帖子: 68
系统: UbuntuMate 16.04.1
送出感谢: 1
接收感谢: 0 次
代码:
sensei@kana ~ $ sudo apt-get install fcitx fcitx-mozc --install-recommends
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています               
状態情報を読み取っています... 完了
以下のパッケージが自動でインストールされましたが、もう必要とされていません:
  libclamav6 libnspr4-0d:i386
これを削除するには 'apt-get autoremove' を利用してください。
以下の特別パッケージがインストールされます:
  fcitx-bin fcitx-config-common fcitx-config-gtk fcitx-data fcitx-frontend-all
  fcitx-frontend-gtk2 fcitx-frontend-gtk3 fcitx-frontend-qt4 fcitx-libs
  fcitx-libs-gclient fcitx-libs-qt fcitx-module-dbus fcitx-module-kimpanel
  fcitx-module-lua fcitx-module-x11 fcitx-modules fcitx-ui-classic libzinnia0
  mozc-data mozc-server mozc-utils-gui tegaki-zinnia-japanese
提案パッケージ:
  fcitx-tools fcitx-m17n kdebase-bin plasma-widgets-kimpanel ibus-qt4
以下のパッケージが新たにインストールされます:
  fcitx fcitx-bin fcitx-config-common fcitx-config-gtk fcitx-data
  fcitx-frontend-all fcitx-frontend-gtk2 fcitx-frontend-gtk3
  fcitx-frontend-qt4 fcitx-libs fcitx-libs-gclient fcitx-libs-qt
  fcitx-module-dbus fcitx-module-kimpanel fcitx-module-lua fcitx-module-x11
  fcitx-modules fcitx-mozc fcitx-ui-classic libzinnia0 mozc-data mozc-server
  mozc-utils-gui tegaki-zinnia-japanese
アップグレード: 0 個、新規インストール: 24 個、削除: 0 個、保留: 29 個。
37.2 MB のアーカイブを取得する必要があります。
この操作後に追加で 67.0 MB のディスク容量が消費されます。
続行しますか? [Y/n] y

中略

libc-bin (2.19-0ubuntu6.11) のトリガを処理しています ...
sensei@kana ~ $ im-config -n fcitx
sensei@kana ~ $ sudo reboot




页首
 用户资料  
 
9 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-06-03 1:10 

注册: 2016-06-03 14:39
帖子: 68
系统: UbuntuMate 16.04.1
送出感谢: 1
接收感谢: 0 次
onlylove様
fcitx-mozc 確認完全可操作
ありがとうございました
谢谢 
------------------------------------
気づいたこと、疑問
我注意到了這一點,問題
1.
複数のハードディスクにmint17.2 with mate desktop environmentのコピーを所持
Hold a copy of mint 17.2 with mate desktop environment on multiple hard disks
今回使用のmintは(japanese locale)
terminal の文字列を貼り付ける時、日本語になってしまう。その時の要不要に応じて、英語日本語を自在に切り替えることは可能でしょうか?
當您粘貼終端的字符串,成為日語。如果在那個時候需要不需要,有沒有可能自由地英語日語之間切換?
2.
代码:
以下のパッケージが自動でインストールされましたが、もう必要とされていません:
  libclamav6 libnspr4-0d:i386
これを削除するには 'apt-get autoremove' を利用してください。

ここで、このタイミングで、即座に'apt-get autoremove' を実行するのでしょうか?
Now, at this timing, will you run 'apt-get autoremove' instantly?


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-06-04 18:07 

注册: 2007-01-14 16:23
帖子: 4138
送出感谢: 0 次
接收感谢: 103
I am just a bit confused :Noting
but if you want terminal show English,there are two ways:

make sure your system have English language support(menu -> control center -> language)

1. change the language at login UI, this will change the system UI to the language you select
附件:
VirtualBox_mint17_04_06_2017_00_45_41.png
VirtualBox_mint17_04_06_2017_00_45_41.png [ 1.48 MiB | 被浏览 1165 次 ]


2.
代码:
export LC_ALL=en_US.UTF-8

this will change the current terminal's locale temporary, if you open another one, it is still the system's locale(assume that you are using ja_JP.UTF-8)
附件:
VirtualBox_mint17_04_06_2017_14_40_47.png
VirtualBox_mint17_04_06_2017_14_40_47.png [ 208.65 KiB | 被浏览 1165 次 ]




about the apt-get autoremove command, I am not suggest a newbie to run that, at least, after run that, confirm what will be uninstalled,(if just that package,it's safe to run) then make the desision(if it ask you to choose), because that some dependency may destroy your system if you just type y to run


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-06-04 20:16 

注册: 2009-08-04 16:33
帖子: 16030
送出感谢: 21
接收感谢: 1747
引用:
如果在那個時候需要不需要,有沒有可能自由地英語日語之間切換?

1. 參閱
1-1. https://help.ubuntu.com/community/Envir ... ance_trick
Bash's quick assignment and inheritance trick
代码:
LANGUAGE=he FOO=bar gedit

LANGUAGE and FOO are two example of Locale EnvironmentVariables.

2. 進一步參閱
2-1. https://help.ubuntu.com/community/Local ... emporarily
Changing settings temporarily
2-2. https://help.ubuntu.com/community/Local ... ermanently
Changing settings permanently


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-06-08 2:26 

注册: 2016-06-03 14:39
帖子: 68
系统: UbuntuMate 16.04.1
送出感谢: 1
接收感谢: 0 次
onlylove様
引用:
I am just a bit confused :Noting
but if you want terminal show English,there are two ways:

質問している私自身が混乱していました。
なぜ混乱が生じたかというと2つ理由がある。
異なる環境による混乱と、やりたいこと・目的の混乱
 
2つのmint17.2インストールを同時に扱っていたため。ひとつは英語UI もうひとつは日本語UI
今、学習上の便宜から、現在使用中でメイン環境の、英語UIのmint17.2だけで考えたい。
その場合 terminal  は最初から英語のため、いじる必要はない。しかしひとつ問題がある。
日本語版manpagesでないと理解できない。

我自己这个问题混淆了。
为什么呢?当有两个原因,就会发生混乱。
而造成不同环境的混乱,的事情混淆我想做的事情和目的

对于两个mint17.2安装在治疗的同时。一个是英文UI另一家日本UI
现在,从学习的方便,主要的环境是目前使用的,要考虑只有英文界面的mint17.2。
在因为英语一开始就知道终端的情况下,就没有必要去拨弄。但是,一个有问题。
日文版的联机帮助不等于无法理解。

http://www.server-memo.net/centos-setti ... ocale.html
現在のロケール確認方法
代码:
m@m ~ $ locale
LANG=ja_JP.UTF-8
LANGUAGE=
LC_CTYPE="ja_JP.UTF-8"
LC_NUMERIC=ja_JP.UTF-8
LC_TIME=en_US.UTF-8
LC_COLLATE="ja_JP.UTF-8"
LC_MONETARY=ja_JP.UTF-8
LC_MESSAGES="ja_JP.UTF-8"
LC_PAPER=ja_JP.UTF-8
LC_NAME=ja_JP.UTF-8
LC_ADDRESS=ja_JP.UTF-8
LC_TELEPHONE=ja_JP.UTF-8
LC_MEASUREMENT=ja_JP.UTF-8
LC_IDENTIFICATION=ja_JP.UTF-8
LC_ALL=

取り急ぎ報告。後日書きます
Rush report. I will write at a later date.
引用:
about the apt-get autoremove command, I am not suggest a newbie to run that, at least, after run that, confirm what will be uninstalled,(if just that package,it's safe to run) then make the desision(if it ask you to choose), because that some dependency may destroy your system if you just type y to run

了解
------------------------------------
poloshiao様
ご回答の内容を消化できていないので後日返事します。恐縮でございます。
Since I can not digest the contents of your answer, I will reply at a later date. I'm afraid it.


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-06-08 4:40 
头像

注册: 2012-11-14 9:34
帖子: 464
系统: UM 16.04.2/17.04
送出感谢: 1
接收感谢: 33
寺島聰子 写道:
安装失败のfcitx-mozc


If you are having so many problems even with the most basic Japanese character input--not to mention the obvious language barrier, why don't you stick with the mainstream, i.e., Ubuntu 16.04.2 LTS with ibus-anthy? I would suggest using Ubuntu Mate.

Help yourself and help us. :em11


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-06-12 19:15 

注册: 2016-06-03 14:39
帖子: 68
系统: UbuntuMate 16.04.1
送出感谢: 1
接收感谢: 0 次
我今Ubuntu Mate用。 :Haha 谢君


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 安装失败的fcitx-mozc
帖子发表于 : 2017-06-13 2:55 
头像

注册: 2012-11-14 9:34
帖子: 464
系统: UM 16.04.2/17.04
送出感谢: 1
接收感谢: 33
寺島聰子 写道:
我今Ubuntu Mate用。 :Haha 谢君


数日後、私は、インストールのUbuntu Mateの私たちの経験を説明します(英語と日本語と中国語の言語環境を含みます)。そう、他の人にも利益になります。 :em51


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 15 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译